Bug 210098 - kdump returns an incorrect value.
kdump returns an incorrect value.
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Depends On:
  Show dependency treegraph
Reported: 2006-10-09 19:27 EDT by Akira Imamura
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-13 12:13:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This patch can fix the problem. (1.28 KB, patch)
2006-10-09 19:28 EDT, Akira Imamura
no flags Details | Diff

  None (edit)
Description Akira Imamura 2006-10-09 19:27:59 EDT
Description of problem:
kdump returns an incorrect value. kdump always returns 0 even if
kdump service fails to start up. For this, kdump looks operational
but it's not. This happens because kdump doesn't review the return value
of mkdumprd and kexec just after those commands are run. Consequently, kdump
needs to review the return value of any commands, and needs to exit
in the event that a command fails.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have kdump service fail to start due to some error.
2. run "echo $?"
3. run "service kdump status"
Actual results:
kdump returns 0.
kdump shows "Kdump is operational"

Expected results:
kdump returns a non-zero value.
kdump shows "Kdump is not operational"

Additional info:
Review an attached patch to fix this problem.
Comment 1 Akira Imamura 2006-10-09 19:28:09 EDT
Created attachment 138099 [details]
This patch can fix the problem.
Comment 2 Neil Horman 2006-10-10 11:49:01 EDT
fixed in -89.el5.  Thanks!
Comment 3 Jay Turner 2007-02-13 12:13:03 EST
kexec-tools-1.101-164.el5 included in 20070208.0.

Note You need to log in before you can comment on or make changes to this bug.